#include <stdio.h>
#include <sys/time.h>
#include <qxml.h>
#include <qwindowdefs.h>
#include <qstring.h>
#include <QXmlStreamReader>

#include "tools.h"

QXmlStreamReader *parser;

void initXML(struct TestData *td) {
    parser = new QXmlStreamReader();
    parser->setNamespaceProcessing(true);
}

void releaseXML(struct TestData *td) {
    delete parser;
}

void parseXML(struct TestData *td, unsigned long iter) {
//    QByteArray qba(td->xml, td->xmllen);
    const char id[5]="ID1\0";
    
    parser->addData(td->xml);

    while (!parser->atEnd()) {
	parser->readNext();
	if (parser->isStartElement()) {
	    QXmlStreamAttributes attrs;
	    attrs = parser->attributes();
	
/*	    QString str;
	    QByteArray qba;
    
	    printf("%lu   ", parser->lineNumber());
	    str = parser->namespaceUri().toString();
	    qba = str.toUtf8();
	    printf("%s::",qba.data());
	    str = parser->name().toString();
	    qba = str.toUtf8();
	    printf("%s\n",qba.data());*/
	} else if (parser->isCharacters()) {
/*	    QString str;
	    QByteArray qba;
	    str = parser->text().toString();
	    qba = str.toUtf8();
	    printf("%s\n",qba.data());*/
	}
    }
    parser->clear();
}



int main(int argc, char *argv[]) {
    return Test(argc,argv);
}
