module tools;

const MAX_LEVELS = 127;

/* Depend on bitness ulong always 64bits in D, 
for C in Win64 and 32 bit systems it is 32 bits */
struct TestData {
    uint iterations;
    uint size;
    
    char *fn;
    char *xml;
    uint xmllen;
}

extern (C) int Test(int argc, char **arg);
extern (C) int get_walk_mode();
extern (C) double get_value(char *str);

void DTest(char[][] args)
{
    int argc = 0;
    char*[] argv = new char*[args.length];
    
    foreach (char[] p; args) argv[argc++] = cast(char*)p;

    return Test(argc,cast(char**)argv);
}
