module tango_dom;

//import std.stdio;
import tango.io.Stdout;
import tango.text.xml.Document;
import tango.text.xml.DocPrinter;
import tango.math.random.Random;
import tango.text.convert.Integer;

import tools;

Random generator;
DocPrinter!(char) printer;
char[] nsxsi="http://www.w3.org/2001/XMLSchema-instance";
char[] nsenc="http://www.w3.org/2001/12/soap-encoding";
char[] nssoap="http://www.w3.org/2001/12/soap-envelope";
char[] nsopc="http://opcfoundation.org/webservices/OPCDA/";

extern(C) void initXML(TestData *td) {
    generator = new Random();
//    generator.seed(delegate () { return cast(uint)0; });
    
    printer = new DocPrinter!(char);
//    printer.indent(0);
}

extern(C) void releaseXML(TestData *td) {
}
extern(C) void parseXML(TestData *td, uint iter) {
//    char[10] stmp;
    char[] mem;
    int i;

    Document!(char) doc = new Document!(char);
    doc.Node proot,pnode,node,node1,node2;

/* Namespace 
    proot = doc.tree.element(nssoap,"Envelope");
    proot.attribute(null,"xmlns",nssoap);
    proot.attribute(null,"xmlns:xsi",nsxsi);
    proot.attribute(null,"xmlns:enc",nsenc);
    pnode = proot.element(nssoap,"Body");

    node=pnode.element(nsopc,"WriteResponse");

    pnode=node;
    node=pnode.element(nsopc,"WriteResult");
    node.attribute(null,"RcvTime","2002-04-29T10:16:26.6806250+02:00");
    node.attribute(null,"ReplyTime","2002-04-29T10:16:26.7806250+02:00");
    node.attribute(null,"ClientRequestHandle","WriteError");
    node.attribute(null,"RevisedLocaleID","en");
    node.attribute(null,"ServerState","running");
    node1=node.element(nsopc,"RItemList");
    node=pnode.element(nsopc,"Errors");
    node.attribute(null,"ID","E_UNKNOWNITEMID");
    node2=node.element(nsopc,"Text","The item does not exist in the server address space.");
    node=pnode.element(nsopc,"Errors");
    node.attribute(null,"ID","S_CLAMP");
    node2=node.element(nsopc,"Text","The value written was accepted but the output was clamped.");

    pnode=node1;
    node=pnode.element(nsopc,"Items");
    node.attribute(null,"ItemPath","");
    node.attribute(null,"ItemName","WrongItemID1");
    node.attribute(null,"Timestamp","0001-01-01T00:00:00.0000000+01:00");
    node.attribute(null,"ErrorID","E_UNKNOWNITEMID");
    node1=node.element(nsopc,"Value");
    node.attribute(null,"xsi:nil","true");

    node=pnode.element(nsopc,"Items");
    node.attribute(null,"ItemPath","");
    node.attribute(null,"ItemName","WrongItemID2");
    node.attribute(null,"Timestamp","0001-01-01T00:00:00.0000000+01:00");
    node.attribute(null,"ErrorID","E_UNKNOWNITEMID");
    node1=node.element(nsopc,"Value");
    node.attribute(null,"xsi:nil","true");

    node=pnode.element(nsopc,"Items");
    node.attribute(null,"ItemPath","/Reals");
    node.attribute(null,"ItemName","Float1");
    node.attribute(null,"ValueType","xsd:float");
    node.attribute(null,"Timestamp","2002-04-29T11:47:18.1493750+02:00");
    node1=node.element(nsopc,"Value","10.0141414");
    node.attribute(null,"xsi:type","xsd:float");

    node=pnode.element(nsopc,"Items");
    node.attribute(null,"ItemPath","/Reals");
    node.attribute(null,"ItemName","Float2");
    node.attribute(null,"ValueType","xsd:float");
    node.attribute(null,"Timestamp","2002-04-29T11:47:18.1493750+02:00");
    node.attribute(null,"SuccessID","S_CLAMP");
    node1=node.element(nsopc,"Value","1.07");
    node.attribute(null,"xsi:type","xsd:float");

    for (i=0;i<td.inc;i++) {
        node=pnode.element(nsopc,"Items");
        node.attribute(null,"ItemPath","/Integer");
        node.attribute(null,"ItemName","IntN");
        node.attribute(null,"ValueType","xsd:int");
        node.attribute(null,"Timestamp","2002-04-29T11:47:18.1493750+02:00");
        node.attribute(null,"SuccessID","S_CLAMP");
	Integer.itoa!(char)(stmp, generator.uniform!(uint));
        node1=node.element(nsopc,"Value", stmp);
        node1.attribute(null,"xsi:type","xsd:int");
    }
*/

    proot = doc.tree.element(null,"Envelope");
    proot.attribute(null,"xmlns",nssoap);
    proot.attribute(null,"xmlns:xsi",nsxsi);
    proot.attribute(null,"xmlns:enc",nsenc);
    proot.attribute(null,"xmlns:opc",nsopc);
    pnode = proot.element(null,"Body");

    node=pnode.element(null,"WriteResponse");
    node.attribute(null,"xmlns",nsopc);
    
    pnode=node;
    node=pnode.element(null,"WriteResult");
    node.attribute(null,"RcvTime","2002-04-29T10:16:26.6806250+02:00");
    node.attribute(null,"ReplyTime","2002-04-29T10:16:26.7806250+02:00");
    node.attribute(null,"ClientRequestHandle","WriteError");
    node.attribute(null,"RevisedLocaleID","en");
    node.attribute(null,"ServerState","running");
    node1=node.element(null,"RItemList");
    node=pnode.element(null,"Errors");
    node.attribute(null,"ID","E_UNKNOWNITEMID");
    node2=node.element(null,"Text","The item does not exist in the server address space.");
    node=pnode.element(null,"Errors");
    node.attribute(null,"ID","S_CLAMP");
    node2=node.element(null,"Text","The value written was accepted but the output was clamped.");

    pnode=node1;
    node=pnode.element(null,"Items");
    node.attribute(null,"ItemPath","");
    node.attribute(null,"ItemName","WrongItemID1");
    node.attribute(null,"Timestamp","0001-01-01T00:00:00.0000000+01:00");
    node.attribute(null,"ErrorID","E_UNKNOWNITEMID");
    node1=node.element(null,"Value");
    node.attribute(null,"xsi:nil","true");

    node=pnode.element(null,"Items");
    node.attribute(null,"ItemPath","");
    node.attribute(null,"ItemName","WrongItemID2");
    node.attribute(null,"Timestamp","0001-01-01T00:00:00.0000000+01:00");
    node.attribute(null,"ErrorID","E_UNKNOWNITEMID");
    node1=node.element(null,"Value");
    node.attribute(null,"xsi:nil","true");

    node=pnode.element(null,"Items");
    node.attribute(null,"ItemPath","/Reals");
    node.attribute(null,"ItemName","Float1");
    node.attribute(null,"ValueType","xsd:float");
    node.attribute(null,"Timestamp","2002-04-29T11:47:18.1493750+02:00");
    node1=node.element(null,"Value","10.0141414");
    node.attribute(null,"xsi:type","xsd:float");

    node=pnode.element(null,"Items");
    node.attribute(null,"ItemPath","/Reals");
    node.attribute(null,"ItemName","Float2");
    node.attribute(null,"ValueType","xsd:float");
    node.attribute(null,"Timestamp","2002-04-29T11:47:18.1493750+02:00");
    node.attribute(null,"SuccessID","S_CLAMP");
    node1=node.element(null,"Value","1.07");
    node.attribute(null,"xsi:type","xsd:float");

    for (i=0;i<td.inc;i++) {
        node=pnode.element(null,"Items");
        node.attribute(null,"ItemPath","/Integer");
        node.attribute(null,"ItemName","IntN");
        node.attribute(null,"ValueType","xsd:int");
        node.attribute(null,"Timestamp","2002-04-29T11:47:18.1493750+02:00");
        node.attribute(null,"SuccessID","S_CLAMP");
/*	That doesn't work since stmp is referenced in node.element, not copied
	Integer.itoa!(char)(stmp, generator.uniform!(uint));
	node1=node.element(null,"Value", stmp);
*/
	node1=node.element(null,"Value", Integer.toString(generator.uniform!(uint)));
        node1.attribute(null,"xsi:type","xsd:int");
    }

    mem = printer.print(doc);
//    if (!iter) Stdout(mem).newline;


}

void main(char[][] args)
{
    DTest(args);
    Stdout("WARNING! Namespaces are not really supported\n");
}
